package org.example.neobar;

import android.os.Bundle;
import android.os.StrictMode;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.TextView;

import org.example.neobar.model.Evento;

import java.util.List;

/**
 * Created by Borregana on 11/11/15.
 */
public class Tab1 extends Fragment {
    ListView lvEventos;
    MiAdaptadorSolo miAdaptadorSolo;
    TextView tvEmpty;
    List<Evento> eventoSolo;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        View view  = inflater.inflate(R.layout.tab1, container, false);
        lvEventos = (ListView) view.findViewById(R.id.evento);
        tvEmpty = (TextView) view.findViewById(R.id.vacio);
        return  view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        eventoSolo = MainActivity.almacen.listaEventos(1);

        if (eventoSolo.size() != 0){
            tvEmpty.setVisibility(View.GONE);
        }
        miAdaptadorSolo = new MiAdaptadorSolo(getActivity(), eventoSolo);
        lvEventos.setAdapter(miAdaptadorSolo);
    }
}
