package org.example.neobar;

import android.os.Bundle;
import android.os.StrictMode;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.TextView;

import org.example.neobar.model.Evento;

import java.util.List;

/**
 * Created by Borregana on 11/11/15.
 */
public class Tab2 extends Fragment{

    ListView lvEventos;
    MiAdaptador miAdaptador;
    TextView tvEmpty;
    List<Evento> eventoList;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder().permitNetwork().build());
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        View view  = inflater.inflate(R.layout.tab2, container, false);
        lvEventos = (ListView) view.findViewById(R.id.lista);
        tvEmpty = (TextView) view.findViewById(R.id.vacio);
        return  view;
    }


    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        eventoList = MainActivity.almacen.listaEventos(10);

        if (eventoList.size() != 0){
            tvEmpty.setVisibility(View.GONE);
        }
        miAdaptador = new MiAdaptador(getActivity(), eventoList);
        lvEventos.setAdapter(miAdaptador);


    }
}
